version: 1
name: Tux Plan
description: Generated plan from tuxsuite cli
jobs:
- name: Tux Plan
  build:
    build_name: gcc-13-lkftconfig
    kconfig:
    - https://storage.tuxsuite.com/public/linaro/lkft/builds/2nQ2REOGwrRmLqLajeWkWYlXAY1/config
    #git_repo: https://gitlab.com/Linaro/lkft/mirrors/torvalds/linux-mainline
    target_arch: arm64
    toolchain: gcc-13
    environment: {}
    targets: []
    make_variables: {}
    kernel_image: ''
    image_sha: ''
    #no_cache: false
    #is_public: true
  tests:
  - ap_romfw: null
    bios: null
    #bl1: null
    #boot: null
    boot_args: rw
    commands:
    - cd /opt/ltp && ./runltp -s fanotify22
    device: qemu-arm64
    dtb: null
    fip: null
    #host: x86_64
    #is_public: true
    kernel: null
    #lab: https://lkft.validation.linaro.org
    #lava_test_plans_project: lkft
    mcp_fw: null
    mcp_romfw: null
    modules: null
    overlay:
    - - https://storage.tuxboot.com/overlays/debian/trixie/arm64/ltp/20240524/ltp.tar.xz
      - /
    parameters:
      MODULES_PATH: /usr/
      SHARD_INDEX: 4
      SHARD_NUMBER: 10
      SKIPFILE: skipfile-lkft.yaml
    qemu_image: null
    rootfs: https://storage.tuxboot.com/debian/trixie/arm64/rootfs.ext4.xz
    scp_fw: null
    scp_romfw: null
    shared: null
    timeouts:
      boot: 30
      ltp-syscalls: 50
    tuxbuild: null
    #tuxbuild_data:
    #  auto_retry: true
    #  build_name: gcc-13-lkftconfig
    #  build_status: pass
    #  callback: https://qa-reports.linaro.org/api/fetchjob/lkft/linux-mainline-master/v6.12-rc3-7-g6485cf5ea253/env/tuxsuite.com
    #  callback_headers: null
    #  client_token: dfc57198-bd31-4a5f-810b-3c585f8d5007
    #  download_url: https://storage.tuxsuite.com/public/linaro/lkft/builds/2nQ2REOGwrRmLqLajeWkWYlXAY1/
    #  duration: 740
    #  environment: {}
    #  errors_count: 0
    #  finished_time: '2024-10-14T07:48:05.054634'
    #  git_describe: v6.12-rc3-7-g6485cf5ea253
    #  git_ref: null
    #  git_repo: https://gitlab.com/Linaro/lkft/mirrors/torvalds/linux-mainline
    #  git_sha: 6485cf5ea253d40d507cd71253c9568c5470cd27
    #  git_short_log: 6485cf5ea253 ("Merge tag 'hid-for-linus-2024101301' of git://git.kernel.org/pub/scm/linux/kernel/git/hid/hid")
    #  image_sha: ''
    #  is_canceling: false
    #  is_public: true
    #  kconfig:
    #  - defconfig
    #  - https://gitlab.com/Linaro/lkft/kernel-fragments/-/raw/main/lkft.config
    #  - https://gitlab.com/Linaro/lkft/kernel-fragments/-/raw/main/lkft-crypto.config
    #  - https://gitlab.com/Linaro/lkft/kernel-fragments/-/raw/main/distro-overrides.config
    #  - https://gitlab.com/Linaro/lkft/kernel-fragments/-/raw/main/netdev.config
    #  - https://gitlab.com/Linaro/lkft/kernel-fragments/-/raw/main/systemd.config
    #  - https://gitlab.com/Linaro/lkft/kernel-fragments/-/raw/main/virtio.config
    #  - CONFIG_SYN_COOKIES=y
    #  - CONFIG_SCHEDSTATS=y
    #  kernel_image: ''
    #  kernel_image_name: Image.gz
    #  kernel_patch_file: ''
    #  kernel_version: 6.12.0-rc3
    #  make_variables: {}
    #  modules: true
    #  no_cache: false
    #  notify_emails: null
    #  plan: 2nQ2QXHmXkM3jjKzFgSvD0uai9V
    #  project: linaro/lkft
    #  provisioning_time: '2024-10-14T07:29:28.302493'
    #  result: pass
    #  retry: 0
    #  retry_message: ''
    #  running_time: '2024-10-14T07:35:31.911625'
    #  sccache_hits: 9951
    #  sccache_misses: 0
    #  setup_duration: 113
    #  state: finished
    #  status_message: build completed
    #  target_arch: arm64
    #  targets: []
    #  token_name: lkft-bot
    #  toolchain: gcc-13
    #  tuxbuild_status: complete
    #  tuxmake_metadata:
    #    compiler:
    #      name: aarch64-linux-gnu-gcc
    #      version: '13'
    #      version_full: aarch64-linux-gnu-gcc (Debian 13.3.0-5) 13.3.0
    #    results:
    #      artifacts:
    #        config:
    #        - config
    #        debugkernel:
    #        - vmlinux.xz
    #        - System.map
    #        default: []
    #        dtbs:
    #        - dtbs.tar.xz
    #        dtbs-legacy:
    #        - dtbs.tar.xz
    #        headers:
    #        - headers.tar.xz
    #        kernel:
    #        - Image.gz
    #        log:
    #        - build.log
    #        - build-debug.log
    #        modules:
    #        - modules.tar.xz
    #        xipkernel: []
    #      duration:
    #        build: 660.8012890815735
    #        cleanup: 2.5591588020324707
    #        copy: 0.06082606315612793
    #        metadata: 0.9951329231262207
    #        prepare: 46.34331464767456
    #        validate: 0.00019407272338867188
    #      errors: 0
    #      status: PASS
    #      targets:
    #        config:
    #          duration: 7.903279542922974
    #          status: PASS
    #        debugkernel:
    #          duration: 17.594495058059692
    #          status: PASS
    #        default:
    #          duration: 596.8924360275269
    #          status: PASS
    #        dtbs:
    #          duration: 9.266321182250977
    #          status: PASS
    #        dtbs-legacy:
    #          duration: 0.9270737171173096
    #          status: SKIP
    #        headers:
    #          duration: 4.864985227584839
    #          status: PASS
    #        kernel:
    #          duration: 8.451970338821411
    #          status: PASS
    #        modules:
    #          duration: 14.112268686294556
    #          status: PASS
    #        xipkernel:
    #          duration: 0.2653071880340576
    #          status: SKIP
    #      warnings: 0
    #    runtime:
    #      image_digest: 855116176053.dkr.ecr.us-east-1.amazonaws.com/tuxmake/arm64_gcc-13@sha256:895d2780d81b2d4c9adc50c9d8b9f4288d173e4317962fa6cd05c558ca9357d2
    #      image_name: 855116176053.dkr.ecr.us-east-1.amazonaws.com/tuxmake/arm64_gcc-13
    #      image_tag: null
    #      version: podman version 4.6.2
    #    tools:
    #      ar: GNU ar (GNU Binutils for Debian) 2.43
    #      as: GNU assembler (GNU Binutils for Debian) 2.43
    #      bc: bc 1.07.1
    #      bison: bison (GNU Bison) 3.8.2
    #      ccache: ccache version 4.10.2
    #      depmod: kmod version 32
    #      flex: flex 2.6.4
    #      gcc: gcc (Debian 13.3.0-5) 13.3.0
    #      ld: GNU ld (GNU Binutils for Debian) 2.43
    #      make: GNU Make 4.3
    #      openssl: 'OpenSSL 3.2.2 4 Jun 2024 (Library: OpenSSL 3.2.2 4 Jun 2024)'
    #      pahole: v1.25
    #      ps: ps from procps-ng 4.0.4
    #      sccache: sccache 0.2.9
    #    tuxmake:
    #      version: 1.27.0
    #  uid: 2nQ2REOGwrRmLqLajeWkWYlXAY1
    #  user: lkft@linaro.org
    #  user_agent: tuxsuite/1.42.1
    #  waited_by:
    #  - TEST#2nQ2RvlACbjk84QMyTJEcDPySx8
    #  warnings_count: 0
    #uefi: null
